Package org.apache.felix.http.base.internal.runtime.dto

## Class RegistryRuntime

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.RegistryRuntime

    public final class RegistryRuntime
    extends Object

### Constructor Summary

Constructors
`RegistryRuntime​(FailedDTOHolder failedDTOHolder, Collection<org.osgi.service.http.runtime.dto.ServletContextDTO> contextDTOs, Collection<org.osgi.service.http.runtime.dto.PreprocessorDTO> preprocessorDTOs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FailedDTOHolder` `getFailedDTOHolder()`
`Collection<org.osgi.service.http.runtime.dto.PreprocessorDTO>` `getPreprocessorDTOs()`
`Collection<org.osgi.service.http.runtime.dto.ServletContextDTO>` `getServletContextDTOs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegistryRuntime

    public RegistryRuntime​(FailedDTOHolder failedDTOHolder,
                           Collection<org.osgi.service.http.runtime.dto.ServletContextDTO> contextDTOs,
                           Collection<org.osgi.service.http.runtime.dto.PreprocessorDTO> preprocessorDTOs)

### Method Detail

#### getFailedDTOHolder

    public FailedDTOHolder getFailedDTOHolder()

#### getServletContextDTOs

    public Collection<org.osgi.service.http.runtime.dto.ServletContextDTO> getServletContextDTOs()

#### getPreprocessorDTOs

    public Collection<org.osgi.service.http.runtime.dto.PreprocessorDTO> getPreprocessorDTOs()